## wvkbd 0.12

=== Makefile ===
include config.mk

NAME=wvkbd
BIN=${NAME}-${LAYOUT}
SRC=.
MAN1 = ${NAME}.1

PKGS = wayland-client xkbcommon pangocairo

WVKBD_SOURCES += $(wildcard $(SRC)/*.c)
WVKBD_HEADERS += $(wildcard $(SRC)/*.h)

CFLAGS += -std=gnu99 -Wall -g -DWITH_WAYLAND_SHM -DLAYOUT=\"layout.${LAYOUT}.h\" -DKEYMAP=\"keymap.${LAYOUT}.h\"
CFLAGS += $(shell pkg-config --cflags $(PKGS))
LDFLAGS += $(shell pkg-config --libs $(PKGS)) -lm -lutil -lrt

WAYLAND_HEADERS = $(wildcard proto/*.xml)

HDRS = $(WAYLAND_HEADERS:.xml=-client-protocol.h)
WAYLAND_SRC = $(HDRS:.h=.c)
SOURCES = $(WVKBD_SOURCES) $(WAYLAND_SRC)

OBJECTS = $(SOURCES:.c=.o)

all: ${BIN}

config.h: config.def.h
	cp config.def.h config.h

proto/%-client-protocol.c: proto/%.xml
	wayland-scanner code < $? > $@

proto/%-client-protocol.h: proto/%.xml
	wayland-scanner client-header < $? > $@

$(OBJECTS): $(HDRS) $(WVKBD_HEADERS)

wvkbd-${LAYOUT}: config.h $(OBJECTS) layout.${LAYOUT}.h
	$(CC) -o wvkbd-${LAYOUT} $(OBJECTS) $(LDFLAGS)

clean:
	rm -f $(OBJECTS) $(HDRS) $(WAYLAND_SRC) ${BIN}

format:
	clang-format -i $(WVKBD_SOURCES) $(WVKBD_HEADERS)

install: all
	mkdir -p ${DESTDIR}${PREFIX}/bin
	cp -f ${NAME}-${LAYOUT} ${DESTDIR}${PREFIX}/bin
	chmod 755 ${DESTDIR}${PREFIX}/bin/${NAME}-${LAYOUT}
	mkdir -p "${DESTDIR}${MANPREFIX}/man1"
	sed "s/VERSION/${VERSION}/g" < ${MAN1} > ${DESTDIR}${MANPREFIX}/man1/${MAN1}
	chmod 644 ${DESTDIR}${MANPREFIX}/man1/${MAN1}

## wvkbd 0.9

=== debian/changelog ===
wvkbd (0.9-1) unstable; urgency=medium

  * Initial release.

 -- Jochen Sprickerhof <jspricke@debian.org>  Thu, 11 Aug 2022 14:52:52 +0200

=== debian/control ===
Source: wvkbd
Section: x11
Priority: optional
Maintainer: Tzafrir Cohen <tzafrir@debian.org>
Uploaders:
 Jochen Sprickerhof <jspricke@debian.org>,
Build-Depends: debhelper-compat (= 13),
 libwayland-dev,
 libpango1.0-dev,
 libxkbcommon-dev,
Standards-Version: 4.6.1
Homepage: https://git.sr.ht/~proycon/wvkbd
Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/wvkbd
Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/wvkbd.git
Rules-Requires-Root: no

Package: wvkbd
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: on-screen keyboard for wlroots that sucks less
 a minimal but practically usable implementation of a wlroots on-screen
 keyboard in legible C. This will only be a keyboard, not a feedback
 buzzer, led blinker, or anything that requires more than what's needed
 to input text quickly. The end product should be a static codebase that
 can be patched to add new features.

## wvkbd 0.12

=== debian/changelog ===
wvkbd (0.12-1) unstable; urgency=medium

  * New upstream release
  * Rebase patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 18 Nov 2022 13:33:24 +0100

wvkbd (0.11.1-2) unstable; urgency=medium

  * Fix patch

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Oct 2022 18:43:22 +0200

wvkbd (0.11.1-1) unstable; urgency=medium

  * New upstream release
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sat, 29 Oct 2022 17:56:42 +0200

wvkbd (0.11-1) unstable; urgency=medium

  * New upstream release
  * Fix gbp.conf
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 28 Oct 2022 10:40:30 +0200

wvkbd (0.10-1) unstable; urgency=medium

  * Switch Maintainer to team
  * Support crossbuild
  * New upstream version
  * Rebase patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 28 Aug 2022 12:10:45 +0200

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,9 @@
 Source: wvkbd
 Section: x11
 Priority: optional
-Maintainer: Tzafrir Cohen <tzafrir@debian.org>
+Maintainer: DebianOnMobile Maintainers <debian-on-mobile-maintainers@alioth-lists.debian.net>
 Uploaders:
+ Tzafrir Cohen <tzafrir@debian.org>,
  Jochen Sprickerhof <jspricke@debian.org>,
 Build-Depends: debhelper-compat (= 13),
  libwayland-dev,

## wvkbd 0.13

=== debian/changelog ===
wvkbd (0.13-1) unstable; urgency=medium

  * New upstream release
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 07 Jul 2023 14:01:54 +0200

## wvkbd 0.14.3

=== debian/changelog ===
wvkbd (0.14.3-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright
  * Rediff patches

 -- Jochen Sprickerhof <jspricke@debian.org>  Fri, 09 Feb 2024 18:12:22 +0100

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libwayland-dev,
  libpango1.0-dev,
  libxkbcommon-dev,
-Standards-Version: 4.6.1
+Standards-Version: 4.6.2
 Homepage: https://git.sr.ht/~proycon/wvkbd
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/wvkbd
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/wvkbd.git

## wvkbd 0.15

=== Makefile ===
--- 
+++ 
@@ -24,7 +24,7 @@
 
 all: ${BIN}
 
-config.h: config.def.h
+config.h:
 	cp config.def.h config.h
 
 proto/%-client-protocol.c: proto/%.xml

=== debian/changelog ===
wvkbd (0.15-1) unstable; urgency=medium

  * New upstream release (Closes: #1080072)
  * Rediff patches
  * Bump policy version (no changes)

 -- Jochen Sprickerhof <jspricke@debian.org>  Sun, 01 Sep 2024 14:26:49 +0200

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,7 @@
  libwayland-dev,
  libpango1.0-dev,
  libxkbcommon-dev,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://git.sr.ht/~proycon/wvkbd
 Vcs-Browser: https://salsa.debian.org/DebianOnMobile-team/wvkbd
 Vcs-Git: https://salsa.debian.org/DebianOnMobile-team/wvkbd.git

=== debian/watch ===
version=4
opts="mode=git" \
https://git.sr.ht/~proycon/wvkbd \
refs/tags/v@ANY_VERSION@
